# EvalAssist

A library to manage student projects on GitLab.

## Usage

### Setup

In your project:

```sh
# Register NPM Registry
npm config set @evalassist:registry https://gitlab.univ-nantes.fr/api/v4/packages/npm/

# Install the library
npm i @evalassist/evalassist-lib
```

### Usage

```ts
import { EvalAssist } from '@evalassist/evalassist-lib'

// Create a library instance
const evalAssist = new EvalAssist({ accessToken: 'XXX' })

// Run docker
evalAssist.docker.run(projectPath, evaluationName, opts, overwriteAnalysis, overwriteScore, evaluatorConfiguration)
 
// Load the evaluator configuration
evalAssist.evaluation.loadEvaluatorConfiguration(opts.evaluatorConfiguration)
```

## Development

### Requirements

* [NodeJS](https://nodejs.org/en/)

### Setup

```sh
# Install dependencies
npm install

# run tests in watch mode
npm run test:watch
```

To push your changes, your commit must follow the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) format.

> The `npm run commit` can help you build commit messages using an interactive prompt.

### Release

```sh
# Generate a release commit (bumps package version, updates changelog, creates a tag)
npm run release

# Push to remote for CI/CD to GitLab NPM Registry
git push --tags
```
