export interface HTTPClient {
  readonly config: Partial<HTTPClientConfig>

  get<T>(path: string, config?: RequestConfig): Promise<HTTPResponse<T>>
  post<T>(path: string, config?: RequestConfig): Promise<HTTPResponse<T>>
}

export interface HTTPClientConfig {
  /**
   * GitLab Access Token
   */
  accessToken: string

  /**
   * GitLab Host
   */
  host: string
}

export interface RequestConfig {
  params?: any
  body?: any
}

export interface HTTPResponse<T> {
  data: T
  headers: any
  status: number
}
