export interface DataObject<T = any> {
  key: string
  data: T
}

export type DataObjectFn = (projectId: string) => DataObject[] | Promise<DataObject[]>

export interface Storage {
  get<T>(key: string): T | null
  set(...dataObjects: DataObject[]): void
  clear(key: string): boolean

  getRaw(key: string): string | null
  setRaw(key: string, data: string): void
  setFolder(key: string): void

  list(key: string): string[]
}

export interface StorageProvider {
  forPath(projectPath: string): Storage
}
