import { Storage } from '../../../core/storage'
import { EvaluationAnalysisResults, EvaluationDockerResults, EvaluationScores } from './evaluation.storage.keys'

export class EvaluationStorageReader {
  constructor(private storage: Storage) {}

  readDockerAnalysisResult(): any {
    return this.storage.get(`${EvaluationDockerResults}` + 'analysisResults')
  }

  readDockerScore(): any {
    return this.storage.get(`${EvaluationDockerResults}` + 'scores')
  }

  readAnalysisResult(evaluationName: string): any {
    return this.storage.get(`${EvaluationAnalysisResults}${evaluationName}`)
  }

  readScore(evaluationName: string): any {
    return this.storage.get(`${EvaluationScores}${evaluationName}`) as any
  }

  listEntries(): Array<string> {
    return this.storage.list(EvaluationAnalysisResults)
  }
}
