import * as fs from 'fs'
import { Storage } from '../../../core/storage'
import { EvaluationAnalysisResults, EvaluationDockerResults, EvaluationScores } from './evaluation.storage.keys'

export class EvaluationStorageWriter {
  constructor(private storage: Storage) {}

  writeScore(evaluationName: string, evaluationResults: any) {
    this.storage.set({ key: `${EvaluationScores}${evaluationName}`, data: evaluationResults })
  }

  writeAnalysisResult(evaluationName: string, result: any) {
    this.storage.set({ key: `${EvaluationAnalysisResults}${evaluationName}`, data: result })
  }

  deleteScore(evaluationName: string): boolean {
    return this.storage.clear(`${EvaluationScores}${evaluationName}`)
  }

  deleteAnalysisResult(evaluationName: string): boolean {
    return this.storage.clear(`${EvaluationAnalysisResults}${evaluationName}`)
  }

  createTmp() {
    this.storage.setFolder(`${EvaluationDockerResults}`)
  }

  deleteDocker() {
    /*
    console.log(fs.existsSync(`${EvaluationDockerResults}`) + `${EvaluationDockerResults}`)
    if(fs.existsSync(`${EvaluationDockerResults}`)) {
      fs.chmodSync(`${EvaluationDockerResults}`, '666')
      fs.chmodSync(`${EvaluationDockerResults}` + 'analysisResults', '666')
      fs.chmodSync(`${EvaluationDockerResults}` + 'scores', '666')*/
    this.storage.clear(`${EvaluationDockerResults}` + 'analysisResults')
    this.storage.clear(`${EvaluationDockerResults}` + 'scores')
    //fs.rmdirSync('.evalassist' + EvaluationDockerResults)
    //}
  }
}
