import { Storage } from '../../../core/storage'
import { FeedbacksPending, FeedbacksSubmitted } from './feedback.storage.keys'

export class FeedbackStorageWriter {
  constructor(private storage: Storage) {}

  deletePending(feedbackName: string) {
    this.storage.clear(`${FeedbacksPending}${feedbackName}`)
  }

  writePending(feedbackName: string, content: string) {
    this.storage.setRaw(`${FeedbacksPending}${feedbackName}`, content)
  }

  writeSubmitted(feedbackName: string, content: string) {
    this.storage.setRaw(`${FeedbacksSubmitted}${feedbackName}`, content)
  }
}
