import { HTTPClient } from '../../core/http-client'
import { StorageProvider } from '../../core/storage'
import { MemberStorageReader } from './storage'
import { Member } from './member.interface'

export class MemberService {
  constructor(private client: HTTPClient, private storageProvider: StorageProvider) {}

  getProjectDataReader(projectPath: string) {
    const storage = this.storageProvider.forPath(projectPath)
    return new MemberStorageReader(storage)
  }

  async getAllMembersOfProject(projectId: number): Promise<Member[]> {
    const { data } = await this.client.get<any[]>(`projects/${projectId}/members/all`)
    return data.map((x) => new Member(x))
  }
}
