import { DataObject } from '../../../core/storage'
import { OnProvideProjectData } from '../../projectData'
import { MemberService } from '../member.service'
import { MembersKey } from './member.storage.keys'

export class ProjectMembersDataProvider implements OnProvideProjectData {
  constructor(private memberSvc: MemberService) {}

  async onProvideProjectData(projectId: number): Promise<DataObject[]> {
    return [{ key: MembersKey, data: await this.memberSvc.getAllMembersOfProject(projectId) }]
  }
}
