import { Problem } from '../../../core/exceptions'
import { Storage } from '../../../core/storage'
import { Member } from '../member.interface'
import { MembersKey } from './member.storage.keys'

export class MemberStorageReader {
  constructor(private storage: Storage) {}

  members(): Member[] {
    const project = this.storage.get<Member[]>(MembersKey)
    if (!project) throw new Problem('Invalid project storage')
    return project
  }
}
