export class Pagination {
  page: number
  totalPages: number
  perPage: number

  constructor(headers: Record<string, any>) {
    this.page = Number(headers['x-page'])
    this.totalPages = Number(headers['x-total-pages'])
    this.perPage = Number(headers['x-per-page'])
  }
}

export class Project {
  id: number
  name: string
  namespacePath: string
  description: string
  webUrl: string
  createdAt: Date

  constructor(apiData: any) {
    this.id = apiData.id
    this.name = apiData.name
    this.description = apiData.description
    this.webUrl = apiData.web_url
    this.namespacePath = apiData.path_with_namespace
    this.createdAt = new Date(apiData.created_at)
  }
}

export interface ProjectCollection {
  pagination: Pagination
  data: Project[]
}

export interface ProjectListParams {
  search?: string
  date?: Date
  page?: number
  per_page?: number
  membership?: boolean
  userID?: number
  projectURL?: string
  projectID?: string
}

export interface ProjectCloneParams {
  project: Project
  folderName: string
}

export interface DeadlineCheckResult {
  isLate: boolean
  days?: number
  hours?: number
  minutes?: number
}

export interface CommitData {
  date: Date
  hash: string
  author: string
}
