import { StorageProvider } from '../../core/storage'
import { ProjectService } from './project.service'

describe('Project Service', () => {
  describe('list', () => {
    it('default', async () => {
      const httpClient: any = {
        get: jest.fn(() => ({
          headers: {
            'x-page': 1,
            'x-total-pages': 1,
            'x-per-page': 20,
          },
          data: [
            {
              id: 8730,
              name: 'Pression_cellules',
              description: 'mesure de pression de cellules de batteries interfacée avec un cycleur biologic VMP3',
              web_url: 'https://gitlab.univ-nantes.fr/imn/pression_cellules',
              path_with_namespace: 'imn/pression_cellules',
              created_at: '2020-01-01',
            },
            {
              id: 8724,
              name: 'projet_php_sql',
              description: '',
              web_url: 'https://gitlab.univ-nantes.fr/E190345X/projet_php_sql',
              path_with_namespace: 'E190345X/projet_php_sql',
              created_at: '2020-10-05',
            },
          ],
        })),
      }

      const instance = new ProjectService(httpClient, {} as StorageProvider)
      expect(await instance.list()).toMatchSnapshot()
    })
  })
})
