import { DataObject } from '../../../core/storage'
import { OnProvideProjectData } from '../../projectData'
import { ProjectService } from '../project.service'
import { LastCommitDataKey, ProjectKey } from './project.storage.keys'

export class ProjectDataProvider implements OnProvideProjectData {
  constructor(private projectSvc: ProjectService) {}

  async onProvideProjectData(projectId: number): Promise<DataObject[]> {
    return [
      { key: ProjectKey, data: await this.projectSvc.get(projectId) },
      { key: LastCommitDataKey, data: await this.projectSvc.getLastCommitData(projectId) },
    ]
  }
}
