import { Problem } from '../../../core/exceptions'
import { Storage } from '../../../core/storage'
import { CommitData, Project } from '../project.interface'
import { LastCommitDataKey, ProjectKey } from './project.storage.keys'

export class ProjectStorageReader {
  constructor(private storage: Storage) {}

  project(): Project {
    const project = this.storage.get<Project>(ProjectKey)
    if (!project) throw new Problem('Invalid project storage')
    return project
  }

  lastCommitData(): CommitData {
    const data = this.storage.get<CommitData>(LastCommitDataKey)
    if (!data) throw new Problem('Invalid project storage')
    return data
  }
}
